TreeExpansionEvent (Java SE 11 & JDK 11 )
Keywords: javax.swing.event.TreeExpansionEvent class

Module java.desktop
Package javax.swing.event

## Class TreeExpansionEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.swing.event.TreeExpansionEvent

- All Implemented Interfaces:
    `Serializable`

      public class TreeExpansionEvent
      extends EventObject

  An event used to identify a single path in a tree. The source returned by getSource will be an instance of JTree.

  For further documentation and examples see the following sections in The Java Tutorial: How to Write a Tree Expansion Listener and How to Write a Tree-Will-Expand Listener.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected TreePath` | `path` | Path to the value this event represents.

    - ### Fields declared in class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TreeExpansionEvent​(Object source, TreePath path)` | Constructs a TreeExpansionEvent object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TreePath` | `getPath()` | Returns the path to the value that has been expanded/collapsed.

    - ### Methods declared in class java.util.EventObject

      `getSource, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### path

          protected TreePath path

      Path to the value this event represents.

  - ### Constructor Detail

    - #### TreeExpansionEvent

          public TreeExpansionEvent​(Object source,
                                    TreePath path)

      Constructs a TreeExpansionEvent object.
      Parameters:
        `source` - the Object that originated the event (typically `this`)
        `path` - a TreePath object identifying the newly expanded node

  - ### Method Detail

    - #### getPath

          public TreePath getPath()

      Returns the path to the value that has been expanded/collapsed.
      Returns:
        this event's `TreePath` object